Bulk Documents
curl --request POST \
--url https://api.bizzy.ai/v2/legal-entities/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 123,
"offset": 123
}
'import requests
url = "https://api.bizzy.ai/v2/legal-entities/documents"
payload = {
"limit": 123,
"offset": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({limit: 123, offset: 123})
};
fetch('https://api.bizzy.ai/v2/legal-entities/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"legalEntityIdentifier": {
"legalEntityId": "1778186251",
"countryCode": "BE",
"name": "Bizzy AI",
"isPrimary": true
},
"data": [
{
"id": "69094085",
"internalId": "BE-25335726-2025-06-05",
"date": "2025-06-05",
"title": "OFFICIËLE DOCUMENTEN",
"url": "https://www.ejustice.just.fgov.be/document/123456.pdf",
"source": "SourcesBeEjustice",
"types": [
"ANNUAL_ACCOUNTS"
]
}
],
"pagination": {
"limit": 4,
"offset": 0,
"total": 1
},
"message": null
},
{ // Example error
"legalEntityIdentifier": {
"legalEntityId": "123456789"
},
"data": null,
"pagination": null,
"message": "Legal entity not found"
}
]
Legal Entity API
Bulk Documents
POST
/
v2
/
legal-entities
/
documents
Bulk Documents
Document
url values are normalized to a full URL (documents sourced from NBB are returned as a signed URL). No documents are omitted from the response.Request
Header
string
default:"EN"
- NL: Dutch - FR: French - EN: English
Body
array
Show legal entity properties
Show legal entity properties
string
required
Obfuscated legalEntityId returned by the company legal entities endpoint.
You can request up to 100 legal entities at once.
number
default:"4"
Number of items to return per page. (max 500)
number
default:"0"
Number of items to skip
Response
The same limit and offset are shared over all legal entities.
limit may not exceed 100, and legalEntities.length x limit may not exceed 500.[
{
"legalEntityIdentifier": {
"legalEntityId": "1778186251",
"countryCode": "BE",
"name": "Bizzy AI",
"isPrimary": true
},
"data": [
{
"id": "69094085",
"internalId": "BE-25335726-2025-06-05",
"date": "2025-06-05",
"title": "OFFICIËLE DOCUMENTEN",
"url": "https://www.ejustice.just.fgov.be/document/123456.pdf",
"source": "SourcesBeEjustice",
"types": [
"ANNUAL_ACCOUNTS"
]
}
],
"pagination": {
"limit": 4,
"offset": 0,
"total": 1
},
"message": null
},
{ // Example error
"legalEntityIdentifier": {
"legalEntityId": "123456789"
},
"data": null,
"pagination": null,
"message": "Legal entity not found"
}
]
Was this page helpful?
⌘I